[Dell XPS 13 9343] Audio broken with I2S mode

Bug #1413446 reported by Jared Dominguez on 2015-01-22
238
This bug affects 34 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
HWE Next
Medium
David Henningsson
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

Please read this first before considering making a comment:
The root cause of the scope of this bug report was caused by a BIOS error in BIOS A01 that put the sound in an undefined mode that wasn't really I2S and wasn't really HDA. This has been fixed by BIOS A02 ( or later ).

There was an _REV patch that was proposed but not merged upstream. If that (or something similar to it) does get merged upstream, then with BIOS A02+ the audio will operate in I2S mode.

If you have a problem with your computer, please do not make comments here, as this bug report is considered closed. Instead file a new report following https://wiki.ubuntu.com/ReportingBugs . Your issue will not be dealt with by making comments in this report, and will likely be completely ignored.

(This is a public bug report for LP1402828.)

This system has a dual-mode audio with an HDA and an I2S interface. Which shows up depends on the reported _OSI from the last cold boot. Since the kernels in Ubuntu 14.10/15.04 (15.04 uses 3.18 currently) report an _OSI of "Windows 2013", I2S mode is used for audio.

A workaround is to pass acpi_os="!Windows 2013" as a kernel parameter, but this is non-optimal since the mode of the touchpad is affected. It also results in an alternate, less used and tested path in the firmware to be used.

See the attached dmesg log for details on where the failure happens. Notably,

$ dmesg -t | egrep "(audio|snd|INT3438)"
dmar: ACPI device "INT3438:00" under DMAR at fed91000 as 00:13.0
snd_hda_intel 0000:00:03.0: enabling device (0000 -> 0002)
snd_hda_intel 0000:00:03.0: irq 50 for MSI/MSI-X
haswell-pcm-audio haswell-pcm-audio: error: ADSP boot timeout
broadwell-audio broadwell-audio: ASoC: CPU DAI System Pin not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral

There's also a failure to load the codec firmware after a suspend/resume.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: linux-image-3.18.0-9-generic 3.18.0-9.10
ProcVersionSignature: Ubuntu 3.18.0-9.10-generic 3.18.2
Uname: Linux 3.18.0-9-generic x86_64
ApportVersion: 2.15.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jared 2139 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Jan 21 20:47:40 2015
HibernationDevice: RESUME=UUID=af18bf4f-1453-4c8c-8b8e-abdc5d4e0674
InstallationDate: Installed on 2014-11-03 (80 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 0c45:670c Microdia
 Bus 001 Device 003: ID 04f3:2051 Elan Microelectronics Corp.
 Bus 001 Device 002: ID 8087:0a2a Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. XPS 13 9343
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.18.0-9-generic root=/dev/mapper/ubuntu--vg-root ro video.use_native_backlight=1 video.use_native_backlight=1
RelatedPackageVersions:
 linux-restricted-modules-3.18.0-9-generic N/A
 linux-backports-modules-3.18.0-9-generic N/A
 linux-firmware 1.141
SourcePackage: linux
UpgradeStatus: Upgraded to vivid on 2015-01-08 (14 days ago)
dmi.bios.date: 11/04/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A00
dmi.board.name: 0144PA
dmi.board.vendor: Dell Inc.
dmi.board.version: X04
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA00:bd11/04/2014:svnDellInc.:pnXPS139343:pvr01:rvnDellInc.:rn0144PA:rvrX04:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9343
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-rc5-vivid/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Mario Limonciello (superm1) wrote :

No audio still with kernel that was linked above (3.19rc5). The behavior in dmesg output does change a bit though.

$ dmesg -t | egrep "(audio|snd|INT3438)"

dmar: ACPI device "INT3438:00" under DMAR at fed91000 as 00:13.0
snd_hda_intel 0000:00:03.0: enabling device (0000 -> 0002)
sst-acpi INT3438:00: DesignWare DMA Controller, 8 channels
haswell-pcm-audio haswell-pcm-audio: FW loaded, mailbox readback FW info: type 01, - version: 00.00, build 68, source commit id: 445e02b38dd3ac603ab1ffdc4785fbe589bfde31
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in dell-sputnik:
status: New → Confirmed
XiongZhang (xiong-y-zhang) wrote :

Which codec is used on this platform ? Is it Realtek ALC286S ?

There are some bugs cleanup recently and the latest driver is available here:
https://git.kernel.org/cgit/linux/kernel/git/broonie/sound.git/log/?h=for-next

Could you try this kernel ?

Tom Li (biergaizi2009) wrote :

Hello everyone.

I was hit by a smiliar bug on Thinkpad Helix 2, and I file an upstream bug:
https://bugzilla.kernel.org/show_bug.cgi?id=92061

Here are some progress to share, after of all, you need the a firware
/lib/firmware/intel/IntcSST2.bin

It was added to linux-firmware git repo in Dec, 2014. So most of the distro packages
haven't included it yet. Fetching for yourself.

So all you need to do it:

1. fetching the fireware and putting it to the correct directory
2. poweroff (not reboot to make the audio device reset completely)
3. Booting with latest 3.19 RC kernel

Liam Girdwoood (lrg-r) wrote :

I see this in the dmesg :-

[ 7.955515] rt286 i2c-INT343A:00: Device with ID register ffffffff is
not rt286

and this comes from :-

regmap_read(rt286->regmap,
                RT286_GET_PARAM(AC_NODE_ROOT, AC_PAR_VENDOR_ID), &ret);
        if (ret != RT286_VENDOR_ID) {
                dev_err(&i2c->dev,
                        "Device with ID register %x is not rt286\n", ret);
                return -ENODEV;
        }

This means we are not reading the RT286 codec ID correctly over I2C. I have no access to this HW so can
someone check the BIOS settings for RT286 and make sure it's enabled in I2S mode.

Changed in hwe-next:
assignee: nobody → David Henningsson (diwic)
status: New → Triaged
David Henningsson (diwic) wrote :

Hi,

Can we also get a confirmation from either Dell or Intel (I don't know which one is the correct to ask) about the firmware - is the firmware to be loaded onto the ADSP the IntcSST2.bin file that was upstreamed into linux-firmware in December 2014, or does this platform require a special firmware for some reason?

(Setting to incomplete while waiting for Dell or Intel to answer)

Changed in hwe-next:
status: Triaged → Incomplete
Andon Todorov (andon-2) wrote :

According to the Dell website/driver download this is a ALC3263 chipset from Realtek.

Yes, it's a Realtek ALC3263. The real problem may be that it's trying to
use rt286 codec driver which doesn't actually have support for the ALC3263.

ALC3263 runs in dual mode HDA or I2S similar to rt286 though. When _OSI
test for "Windows 2013" returns TRUE the codec will be put into I2S mode on
the next cold boot. There is not a toggle in the BIOS to change I2S/HDA
modes manually.

On Tue Jan 27 2015 at 8:31:12 AM Andon Todorov <email address hidden> wrote:

> According to the Dell website/driver download this is a ALC3263 chipset
> from Realtek.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

Ok, a missing ALC3263 codec driver would explain no audio probing. I'll contact Realtek and see what the schedule is for ALC3263 support.

tags: added: latest-bios-a00
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Liam Girdwoood (lrg-r) wrote :

Realtek say ALC3263 should use the same driver as RT286. I've asked Realtek for a patch to fix the probing.

Andon Todorov (andon-2) wrote :

It looks like probing might be already there:

https://github.com/torvalds/linux/blob/master/sound/pci/hda/patch_realtek.c

static struct alc_codec_rename_pci_table rename_pci_tbl[] = {
{ 0x10ec0280, 0x1028, 0, "ALC3220" },
{ 0x10ec0282, 0x1028, 0, "ALC3221" },
{ 0x10ec0283, 0x1028, 0, "ALC3223" },
{ 0x10ec0288, 0x1028, 0, "ALC3263" },

I am unsure if this snippet is relevant here.

Commit: https://github.com/torvalds/linux/commit/193177de4ff8b7b8a654b198611ba774c345f15c

Keyon (yang-jie) wrote :

David Henningsson (diwic) -- we use the unified FW file --IntcSST2.bin that was upstreamed into linux-firmware in December 2014--for different broadwell platform(with different codec).

Andon Todorov (andon-2) wrote :

Tom Li (biergaizi2009) :

I tried your method of downloading IntcSST2.bin from : http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/intel/IntcSST2.bin

I still have the same issue after cold reboot of my XPS13 2015 9343

Xubuntu 15.04
Kernel: 3.19.0-031900rc6-generic

Andon Todorov (andon-2) wrote :

An update to the symptoms with acpi_osi="!Windows 2013" boot param:

-Touchpad sync issue(being detected as PS/2)
-Microphone does not work , but there is output sound

Building with the ASoC for-next branch[1], I get what's possibly slightly improved results:
$ dmesg -t | egrep "(audio|snd|INT3438)"
dmar: ACPI device "INT3438:00" under DMAR at fed91000 as 00:13.0
snd_hda_intel 0000:00:03.0: enabling device (0000 -> 0002)
sst-acpi INT3438:00: DesignWare DMA Controller, 8 channels
haswell-pcm-audio haswell-pcm-audio: FW loaded, mailbox readback FW info: type 01, - version: 00.00, build 68, source commit id: 445e02b38dd3ac603ab1ffdc4785fbe589bfde31
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral

[1] https://git.kernel.org/cgit/linux/kernel/git/broonie/sound.git/?h=for-next

Andon Todorov (andon-2) wrote :

Daniel Jared Dominguez (jared-dominguez):

It looks like there was a push for an intel fix, can you try it out:

https://git.kernel.org/cgit/linux/kernel/git/broonie/sound.git/log/?h=for-next

Andon: Nope, same thing with those commits.

Samuel (samuelspeer) wrote :

I'm having the same issue. When I install 14.04.1, sound works (3.13 kernel). When I manually update to 3.16 kernel to fix touchpad issues, it breaks the sound. When I do a vanilla install of 14.10 (3.16), no sound at all. I guess I should try 3.15 and see if I can get both working!

Shih-Yuan Lee (fourdollars) wrote :

I just tested the mainline Linux kernel 3.19~rc7-vivid in Ubuntu 15.04 and the followings are the result.

$ dmesg -t | egrep "(audio|rt286|INT343)"
dmar: ACPI device "INT3438:00" under DMAR at fed91000 as 00:13.0
rt286 i2c-INT343A:00: Device with ID register ffff8802 is not rt286
sst-acpi INT3438:00: DesignWare DMA Controller, 8 channels
input: DLL0665:01 06CB:76AD UNKNOWN as /devices/pci0000:00/INT3433:00/i2c-1/i2c-DLL0665:01/0018:06CB:76AD.0001/input/input12
haswell-pcm-audio haswell-pcm-audio: FW loaded, mailbox readback FW info: type 01, - version: 00.00, build 68, source commit id: 445e02b38dd3ac603ab1ffdc4785fbe589bfde31
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral
broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
platform broadwell-audio: Driver broadwell-audio requests probe deferral

Shih-Yuan Lee (fourdollars) wrote :

I also found the similar error message in the kern.log of comment #17.

rt286 i2c-INT343A:00: Device with ID register ffffffff is not rt286

Shih-Yuan Lee (fourdollars) wrote :

After checking linux/sound/soc/codecs/rt286.c, the ID register must be 0x10ec0286.

tags: added: kernel-bug-exists-upstream-3.19-rc7
Changed in hwe-next:
importance: Undecided → Medium
Shih-Yuan Lee (fourdollars) wrote :

I made a patch to skip checking ID register for v3.19-rc7.

Shih-Yuan Lee (fourdollars) wrote :

However it becomes worse.

Sam Gaus (gausie) wrote :

fourdollars: your kernel param

> acpi_osi=! "acpi_osi=Windows 2013"

Doesn't look right, unless I've misunderstood!

Shih-Yuan Lee (fourdollars) wrote :

@Sam,

I want to force the Linux kernel only to accept "Windows 8.1" probing.
https://www.kernel.org/doc/Documentation/kernel-parameters.txt

It seems the BIOS will probe "Windows 7" first and then "Windows 8.1" no matter if "Windows 7" is probed or not.
And Linux kernel will accept any OS probing if it is in the following table.
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/drivers/acpi/acpica/utosi.c#n87

Shih-Yuan Lee (fourdollars) wrote :

I can see the following message when I installed "Windows 8.1" in the system storage, and then booted Ubuntu vivid live system by the USB stick.

rt286 i2c-INT343A:00: Device with ID register 10ec2088 is not rt286

Shih-Yuan Lee (fourdollars) wrote :

However 0x10ec2088 is not supported by the Linux kernel v3.19-rc7.

https://github.com/torvalds/linux/blob/v3.19-rc7/sound/soc/codecs/rt286.c

David Henningsson (diwic) wrote :

There is a lot of activity going on in the rt286 driver at the moment. This one looks particularly interesting:

Shih-Yuan Lee (fourdollars) wrote :

Yes, I hope it can be merged into v3.19.

tags: added: patch
Andon Todorov (andon-2) wrote :

Has anyone tried a combination of https://bugzilla.redhat.com/show_bug.cgi?id=1188439#c25 trackpad fix and the alsa patch mentioned above? Any luck?

Niccolò Belli (niccolo-belli) wrote :

As far as I know the audio patch doesn't work.

Major Hayden (rackerhacker) wrote :

I tested David's rt288.patch above on 3.19-rc7 and it had no effect on the audio problem. I tried it with and without reverting the i2c IRQ patch that fixed the touchpad.

matze (matthias-ruegge) wrote :

I found a workaround which reduces the problem. The microphone is still not working. I installed the mixer pavucontrol. In the configuration tab I switched off the HDMI profile. See attached screenshot. Now the speaker is working fine for me.

Shih-Yuan Lee (fourdollars) wrote :

There is a patch for 0x10ec2088 but it is not included in https://github.com/torvalds/linux/blob/v3.19/sound/soc/codecs/rt286.c.

Changed in hwe-next:
status: Incomplete → Confirmed
Niccolò Belli (niccolo-belli) wrote :

Does latest patch work?

Shih-Yuan Lee (fourdollars) wrote :

No, there is some obscure BIOS/EC implementation that refuses to enable I2S audio mode for Linux kernel.

Shih-Yuan Lee (fourdollars) wrote :

I saw 0x10ec2088 in the latest kernel tree of https://github.com/torvalds/linux/blob/master/sound/soc/codecs/rt286.c.
It should be included in the next v3.20 release.

Major Hayden (rackerhacker) wrote :

I'm building with those new SoC patches now. My first couple of builds didn't work out and I discovered that my .config didn't have modules enabled for some of those SoC audio codecs. I'll hopefully know something more soon.

tags: added: kernel-bug-exists-upstream-3.19
removed: kernel-bug-exists-upstream-3.19-rc7
Andon Todorov (andon-2) wrote :

@rackerhacker : Any success?

Major Hayden (rackerhacker) wrote :

@Andon-2 -- I wish I had better news. :/

Long story short, I was able to build a 3.19-ish kernel with some additional ASoC patches earlier this week and the card showed up on the I2S bus with full input/output capabilities. However, whenever I played sounds, I never heard anything. PulseAudio showed data going into the card (signal levels were moving), but nothing was heard via speakers or headphones. I dug into amixer to figure out if something needed to be unmuted or an amplifier switched on and found nothing.

I tried with a newer kernel last night but there are some serious hard lockup bugs in the pre-3.20 patches. I'm now kicking myself for not saving the kernel branch that I had the other night. :/

The contact at Realtek feels that there's either a BIOS update required or one small option on the card isn't enabled. I'd like to test again but the kernel is a bit of a mess as of when I tested it last night. Hacking DSDT's won't fix the issue according to someone who has much more knowledge about ACPI tables than I do.

TL;DR:
  - Waiting on 3.20-rc1
  - Card shows up, can't hear anything
  - Realtek gave me some stuff to test

Alessio Treglia (quadrispro) wrote :

Has anyone tried 4.0-rc3 so far?

Mario Limonciello (superm1) wrote :

@Alessio, just some updates.

4.0-rc3 still doesn't have everything needed for this.
https://github.com/torvalds/linux/commit/2cc3f2347022969f00a429951ce489d35a9b4ea8
http://mailman.alsa-project.org/pipermail/alsa-devel/2015-March/088724.html

are a start, but there are more pieces missing too.

Rene Treffer (treffer-3) wrote :

I just got audio (speakers, not mic) to work.

1. Linux has to announce to be ACPI 2.0 complient, see https://lkml.org/lkml/2015/3/12/149
2. I've merged the latest for-linux branch of Mark Brown https://git.kernel.org/cgit/linux/kernel/git/broonie/sound.git/

I've published that result to https://github.com/rtreffer/linux to simplify attempts to reproduce this.

Rene Treffer (treffer-3) wrote :

UPDATE: the mic is working. This was my fault, the controls should be adjusted to Dmic, which seems to refer to the internal / digital mic.

Mario Limonciello (superm1) wrote :

Rene, it shouldn't be your fault. Even with that collection of patches microphone automatic switching won't work. There's still more to be done.

This bug seem's to hit other computer using broadwell. I got something that's look like this bug on my new HP spectre x360, I followed all step you tried guy's and I didn't succed to debug it. I'm new to bug tracking so, if something is needed, just ask.

Symptoms:
In dmesg I got this message:
# rt286 i2c-INT343A:00: Device with ID register ffffffff is not rt286

After some work I got those messages:
# broadwell-audio broadwell-audio: ASoC: CODEC DAI rt286-aif1 not registered
# platform broadwell-audio: Driver broadwell-audio requests probe deferral

I would be happy to help, and happier to have a correction for this bug ;)

Mario Limonciello (superm1) wrote :

@all:
This was caused by a BIOS error in BIOS A01 that put the sound in an undefined mode that wasn't really I2S and wasn't really HDA. This has been fixed by BIOS A02 ( or later ).

There was an _REV patch that was proposed but not merged upstream. If that (or something similar to it) does get merged upstream, then with BIOS A02+ the audio will operate in I2S mode. There are still a handful of open issues in I2S mode that can be discussed and sorted out if we come to that.

@Gabriel,
You should file another bug on your model and manufacturer. This is specific to the BIOS and embedded controller implementation in the Dell XPS 13.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
Changed in dell-sputnik:
status: Confirmed → Invalid
Changed in hwe-next:
status: Confirmed → Invalid
Francisco Cribari (cribari) wrote :

Today I installed Ubuntu 15.04 (desktop edition, 64 bit) on a DELL XPS 13 (9343) notebook. Prior to installing Ubuntu, I upgraded the computer bios do A03. I have no sound. Kernel:

 3.19.0-15-generic #15-Ubuntu SMP Thu Apr 16 23:32:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

cribari@darwin4:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: HDMI [HDA Intel HDMI], device 3: HDMI 0 [HDMI 0]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Mario Limonciello (superm1) wrote :

@cribari,

Have you cold booted twice since installing Ubuntu? Cold boot means shutdown in the OS properly and then bootup to the login screen. Do this twice.

Niels Egberts (nielsegberts) wrote :

@superm1,

I have the same problem. No matter how many times I reboot there is no sound.

Mario Limonciello (superm1) wrote :

@Niels:

Are you updated to BIOS A03? Also it's not reboot, it needs to be shutdown (as in power off properly from within Ubuntu).

Jens Grehl (likeluckyjoe) wrote :

My BIOS is updated (A03) but no sound.

@Jens,

Have you cold booted twice in a row into Ubuntu?

On Thu, Apr 30, 2015 at 7:35 AM Jens Grehl <email address hidden>
wrote:

> My BIOS is updated (A03) but no sound.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

Mario: My sound is working now, awesome!

Not sure if it was an update, of I just always rebooted instead of shutting it down completely in trying to get it to work, but it's working.

Great! It's the latter. There haven't been any updates to the kernel that
would have caused it to change behavior in 15.04.

On Thu, Apr 30, 2015 at 11:11 AM Niels Egberts <email address hidden>
wrote:

> Mario: My sound is working now, awesome!
>
> Not sure if it was an update, of I just always rebooted instead of
> shutting it down completely in trying to get it to work, but it's
> working.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

@Mario
Could boot didn't helps. Should I modify my alsa-base.conf?

@Jens,

No, no other changes are needed on the system. If you have the kernel
command line modified in any way, especially acpi_osi options that might
factor in. What kernel are you running? What OS version? Can you share
your dmesg?

The current 3.19 kernel in 15.04 and BIOS A03 has everything that is needed
to make this work properly. It will /not/ work if you switch back and
forth with Windows.

On Thu, Apr 30, 2015 at 12:31 PM Jens Grehl <email address hidden>
wrote:

> @Mario
> Could boot didn't helps. Should I modify my alsa-base.conf?
>
> ** Attachment added: "Screenshot from 2015-04-30 19:09:29.png"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1413446/+attachment/4388480/+files/Screenshot%20from%202015-04-30%2019%3A09%3A29.png
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

@Mario

I shared my dmesg. I see that my BIOS is A07 instead of A03, which you are tested.
Do you have any idea / solution? Should I downgrade my BIOS? Before with A02 there are no sound too.

@Jens,

According to your dmesg you aren't running the XPS 13 9343 from 2015,
that's the 9333 from 2014. So this is a separate issue you are having. I
would recommend you contact ProSupport for your issue so they can debug
further.

On Thu, Apr 30, 2015 at 3:05 PM Jens Grehl <email address hidden>
wrote:

> @Mario
>
> I shared my dmesg. I see that my BIOS is A07 instead of A03, which you are
> tested.
> Do you have any idea / solution? Should I downgrade my BIOS? Before with
> A02 there are no sound too.
>
> ** Attachment added: "dmesg.log"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1413446/+attachment/4388566/+files/dmesg.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

Hi,

mutliple reboot doesn't work for me (i'm dual booting ubuntu 15.04 original kernel 3.19 and w8.1).

There is also sound issue on Windows (no audio recognized) but disabled fastboot in windows power options fixed that.

@Marc,
It's not a matter of reboots. It needs to be COLD boot. Shutdown
Windows. Boot Ubuntu. Shutdown Ubuntu. Boot Ubuntu.

On Thu, Apr 30, 2015 at 5:31 PM Marc <email address hidden> wrote:

> Hi,
>
> mutliple reboot doesn't work for me (i'm dual booting ubuntu 15.04
> original kernel 3.19 and w8.1).
>
> There is also sound issue on Windows (no audio recognized) but disabled
> fastboot in windows power options fixed that.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

@Mario

Sorry by multiple reboot I meant cold boot. Tried again this morning, stille doesn't work for me. ( bios a03 was preinstalled on my xps maybe it could help)

Seth Forshee (sforshee) wrote :

I've found a couple of times that my audio wasn't working when going back to HDA mode after using I2S mode. I can get it back by opening a terminal, launching alsamixer, pressing F6 and selecting the "HDA Intel PCH" device, then using the up or down arrow to adjust the master gain.

I have no idea why this is necessary, but after doing it once it isn't needed on subsequent reboots (unless I've changed to using I2S audio in the interim).

paul wall (hektik02) wrote :

Here's what I did to get my sound/microphone working.

It appears ubuntu is loading the wrong module for our soundcard at start so some people dont get sound or get to use their microphone.

Manually load the module as so.

sudo modprobe snd-soc-rt286

goto your sound settings in the system settings and choose your output device and sound should immediately start working as well as your microphone.

you want to have the module automatically load at start up.

sudo nano /etc/modules
add this to the file and save and close it:
snd-soc-rt286

restart your system to make sure sound is working automatically after reboot.

now enojy your sound!

gobywan (tuttacolpadiafs) wrote :

@hektik02 not working for me, neither right away nor after reboot :(

paul wall (hektik02) wrote :

@gobywan

after loading the module manually run the aplay -l and tell me your output.

after loading the module in settings I find only "dummy output"

On Tue, 5 May 2015 at 19:05 paul wall <email address hidden> wrote:

> @gobywan
>
> after loading the module manually run the aplay -l and tell me your
> output.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

JFTR, it seems that upstream has agreed to revert the _REV change for 4.1, and develop a quirk system for 4.2 that would enable us to stay on HDA mode for as many kernels as we like:

http://mailman.alsa-project.org/pipermail/alsa-devel/2015-May/091958.html

Benoît Legat (blegat) wrote :

Hi, I have the Dell XPS 13 9343 (2015 edition) with intel audio and BCM4352 wireless driver.
I'm running Ubuntu 15.04 and kernel 3.19.0-16.

$ dmesg -t | egrep "(audio|rt286|INT343)"
sound hdaudioC1D0: autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
sound hdaudioC1D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
sound hdaudioC1D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
sound hdaudioC1D0: mono: mono_out=0x0
sound hdaudioC1D0: inputs:
sound hdaudioC1D0: Headset Mic=0x18
sound hdaudioC1D0: Headphone Mic=0x1a
sound hdaudioC1D0: Internal Mic=0x12
input: DLL0665:01 06CB:76AD UNKNOWN as /devices/pci0000:00/INT3433:00/i2c-1/i2c-DLL0665:01/0018:06CB:76AD.0001/input/input11
usbcore: registered new interface driver snd-usb-audio

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: HDMI [HDA Intel HDMI], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 0: ALC3263 Analog [ALC3263 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

After 3 COLD (shutdown, not reboot) reboot, still no sound :'(
But Paul Wall's trick:
$ sudo modprobe snd-soc-rt286
works perfectly

Mario Limonciello (superm1) wrote :

paul, Benoît,

If you're happy with I2S, then I guess no worry. But if you want HDA working make sure you are on BIOS A03.

Daniel Millier (danjmillier) wrote :

Just wanted to give my two cents on this bug. I tried a few methods found on AskUbuntu, but now have a "Dummy Output" under System Settings > Sound. This is the output of "aplay -l"

aplay: device_list:268: no soundcards found...

Is this bug still being worked on?

Well, you're asking, not giving 2 cents....
Same for me
:-(

On Sun, 24 May 2015 04:15 Daniel Millier <email address hidden> wrote:

> Just wanted to give my two cents on this bug. I tried a few methods
> found on AskUbuntu, but now have a "Dummy Output" under System Settings
> > Sound. This is the output of "aplay -l"
>
> aplay: device_list:268: no soundcards found...
>
> Is this bug still being worked on?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

As far as I followed upstream, work is being done on this matter in the Linux kernel, not really in Ubuntu. (Since it is not a packaging bug, but rather a development task)

Current focus seems to be to make sure audio works in HDA mode. I2S mode is apparently improved in kernel versions 4.0 and 4.1, but it is still rather new and not as mature as the HDA code. There is definitely effort in progress on making this work out of the box with the Linux kernel.

For the moment I can just advise to update to the most recent firmware version (A03 at the time of this writing). This gives you working audio in HDA mode. I2S mode audio will be enabled when the code for it is ready in terms of code quality and feature completeness.

description: updated
GaryParr (gary-garyparr) wrote :

Does anyone know how to get this issue in front of the Dell BIOS developers? Because I have what appears to be the exact same problem on different Dell hardware...

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1464757

Jan Henke (jhe) wrote :

@GaryParr technically the firmware is okay. It is the I2S support in the Linux kernel that needs to be finished. We should not encourage firmware trying to distinguish between running Windows or Linux. The current "solution" on the XPS 13 really is just a temporary hot-fix until the kernel support is working good enough.

Niccolò Belli (niccolo-belli) wrote :

I would like to try again I2S with kernel 4.3-rc2: how am I supposed to force I2S instead of HDA?

Niccolò Belli (niccolo-belli) wrote :

I asked Rafael J. Wysocki about it:

Hi,

> My kernel has ACPI_REV_OVERRIDE_POSSIBLE=y, can I set acpi_rev_override=n in the boot parameters to use I2S or do I have to recompile with ACPI_REV_OVERRIDE_POSSIBLE=n?
>
> I'm using latest bios A05.
>
> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=18d78b64fddc11eb336f01e46ad3303a3f55d039
>
>

You need to recompile it with the config option unset.

acpi_rev_override is for systems other than the XPS that may need the override.

Now that I'm thinking about it, though, it may be useful to ignore the XPS' blacklisting for acpi_rev_override=n. May cut a patch for that ...

tags: added: bios-outdated-a05
removed: latest-bios-a00
summary: - Audio broken on 2015 XPS 13 (9343) in I2S mode in Ubuntu 14.10/15.04
+ [Dell XPS 13 9343] Audio broken with I2S mode in Ubuntu 14.10/15.04

Chris: I'm well aware of the newer BIOS versions. I work at Dell on Project Sputnik. The issue is that the I2S audio mode is not well supported. There is now a quirk in the Linux kernel that sets the ACPI _REV reported to the firmware to 5 only if on certain systems needing to be quirked. (Setting _REV to 2 results in our firmware configuring audio the same way it would be on Windows 8.1 and Windows 10.) It would be wonderful if this quirk did not need to exist in perpetuity, especially since more and more systems will be using I2S audio in the future.

tags: removed: bios-outdated-a05
Vitor Junior (vitorjr81) wrote :

Hello! I'm a tottaly noob and new. I have a XPS 13 9343, and even after a LOT of restarts in a row, i can't have sound yet. Anyone can help me, please?

Vitor,

Check and see if your BIOS is fully updated. If it's updated all the way
try COLD bolting a few times. It's key to be cold booting not rebooting.

On Fri, Apr 8, 2016, 20:15 Vitor Junior <email address hidden> wrote:

> Hello! I'm a tottaly noob and new. I have a XPS 13 9343, and even after
> a LOT of restarts in a row, i can't have sound yet. Anyone can help me,
> please?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> [Dell XPS 13 9343] Audio broken with I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

Hi Mario! Thanks for the reply! My BIOS is A07, the last one. So, for a cold booting, you mean I need to init 0 my laptop a few times?

Regards in advance! :)

Hi Vitor,

cold boot means. Start from the switched off laptop by powering it on. I am
not sure if init 0 does the same.

Regards
Matthias

2016-04-09 9:59 GMT+08:00 Vitor Junior <email address hidden>:

> Hi Mario! Thanks for the reply! My BIOS is A07, the last one. So, for a
> cold booting, you mean I need to init 0 my laptop a few times?
>
> Regards in advance! :)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1413446
>
> Title:
> [Dell XPS 13 9343] Audio broken with I2S mode in Ubuntu 14.10/15.04
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1413446/+subscriptions
>

Vitor Junior (vitorjr81) wrote :

I read this on this blog (http://hgdev.co/installing-ubuntu-15-04-on-the-dell-xps-13-9343-2015-a-complete-guide-update/)

No audio

If you have no audio (no speaker displayed in “Sound Settings”) just do two cold reboot (= completely shut down your laptop twice). Audio will work fine after that.

But on my sound settings I have "speakers built in". But still no sound... :/

summary: - [Dell XPS 13 9343] Audio broken with I2S mode in Ubuntu 14.10/15.04
+ [Dell XPS 13 9343] Audio broken with I2S mode
Tim Peeters (tpeeters) wrote :

@Vitor, I think the bug that you are experiencing seems similar, but it is a different one than the one from this bug report. See http://en.community.dell.com/techcenter/os-applications/f/4613/t/19682246

I am experiencing it as well, and I haven't found a solution yet. I hope Dell will have a fix soon, in their forum they mention that they are looking for a fix.

Francisco Cribari (cribari) wrote :

I have a DELL XPS 13 (2015 model, 9343, bios A07, currently with Gnome + GDM). I had audio problems with Ubuntu, then with Fedora and now with Arch: https://bugs.archlinux.org/task/49556 .

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.